\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-8.5,1.5) rectangle (-4.5,5.5);
\fill[line width=1.5pt,] (-7.5,2.8) -- (-7.3,3) -- (-7.3,2.7) -- (-7.5,2.5) -- cycle;
\fill[line width=1.5pt,color=C2,fill=C2,fill opacity=1] (-7.5,4.5) -- (-8,2) -- (-6,2) -- cycle;
\draw [line width=1.5pt] (-8,2)-- (-6,2);
\draw [line width=1.5pt] (-6,2)-- (-6,4);
\draw [line width=1.5pt] (-6,4)-- (-8,4);
\draw [line width=1.5pt] (-8,4)-- (-8,2);
\draw [line width=1.5pt,mydashed] (-7,3)-- (-5,3);
\draw [line width=1.5pt] (-5,3)-- (-5,5);
\draw [line width=1.5pt,mydashed] (-7,5)-- (-7,3);
\draw [line width=1.5pt] (-7,5)-- (-5,5);
\draw [line width=1.5pt] (-5,5)-- (-6,4);
\draw [line width=1.5pt] (-5,3)-- (-6,2);
\draw [line width=1.5pt] (-7,5)-- (-8,4);
\draw [line width=1.5pt,mydashed] (-7,3)-- (-8,2);
\draw [line width=1.5pt,mydashed] (-7.5,4.5)-- (-7.5,2.5);
\draw [line width=1.5pt,mydashed] (-7.5,2.5)-- (-6,2);
\draw [line width=1.5pt,mydashed] (-6,2)-- (-7.5,4.5);
\draw [line width=1.5pt,mydashed] (-7.5,4.5)-- (-8,2);
\draw [line width=1.5pt] (-7.5,2.8)-- (-7.3,3);
\draw [line width=1.5pt] (-7.3,3)-- (-7.3,2.7);
\draw [line width=1.5pt] (-7.3,2.7)-- (-7.5,2.5);
\draw [line width=1.5pt] (-7.5,2.5)-- (-7.5,2.8);
\draw [line width=1.5pt] (-7.5,4.5)-- (-8,2);
\draw [line width=1.5pt] (-8,2)-- (-6,2);
\draw [line width=1.5pt] (-6,2)-- (-7.5,4.5);
\draw[color=black] (-8.25,1.75) node {$D$};
\draw[color=black] (-5.75,1.75) node {$C$};
\draw[color=black] (-4.75,3.25) node {$G$};
\draw[color=black] (-6.25,4.25) node {$B$};
\draw[color=black] (-4.75,5.25) node {$F$};
\draw[color=black] (-8.25,4.25) node {$A$};
\draw[color=black] (-7.25,5.25) node {$E$};
\draw[color=black] (-6.75,2.75) node {$H$};
\draw[color=black] (-7.75,4.75) node {$I$};
\draw[color=black] (-7.75,2.75) node {$J$};
\end{tikzpicture}
\end{document}